Get a brokerage firm's accounting summary
curl --request GET \
--url https://api.korint.io/brokerage-firms/{brokerageFirmId}/accounting-summary \
--header 'Authorization: Bearer <token>' \
--header 'tenant: <tenant>'import requests
url = "https://api.korint.io/brokerage-firms/{brokerageFirmId}/accounting-summary"
headers = {
"tenant": "<tenant>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {tenant: '<tenant>', Authorization: 'Bearer <token>'}};
fetch('https://api.korint.io/brokerage-firms/{brokerageFirmId}/accounting-summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"customer": {
"type": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"policies": [
"<string>"
],
"role": "<string>",
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"preferredPaymentMethodId": "<string>"
},
"policy": {
"type": "<string>",
"id": "<string>",
"productId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"lastModifiedAt": "2023-11-07T05:31:56Z",
"assets": [
"<string>"
],
"customers": [
"<string>"
],
"periodDuration": {
"amount": 123
},
"invoicingConfig": {
"earlyPayment": {
"amount": 123
}
},
"customFields": [
{
"key": "<string>",
"value": "<string>"
}
],
"name": "<string>",
"parent": "<string>",
"brokerageFirm": "<string>",
"incrementalId": 123,
"externalId": "<string>",
"author": {
"firstName": "<string>",
"lastName": "<string>",
"userId": "<string>",
"email": "jsmith@example.com",
"brokerRole": "<string>"
},
"signedAt": "2023-11-07T05:31:56Z",
"startedAt": "2023-11-07T05:31:56Z",
"isAwaitingFirstPayment": true,
"endedAt": "2023-11-07T05:31:56Z",
"nextRenewalAt": "2023-11-07T05:31:56Z",
"stoppedAt": "2023-11-07T05:31:56Z",
"suspendedAt": "2023-11-07T05:31:56Z",
"reactivatedAt": "2023-11-07T05:31:56Z",
"additionalQuoteComponents": {
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
},
"quote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"proratedQuote": {
"id": "<string>",
"entityId": "<string>",
"provider": {
"id": "<string>",
"version": "<string>"
},
"rates": [
{
"id": "<string>",
"rate": 123,
"inputs": [
{
"id": "<string>",
"value": "<string>"
}
]
}
],
"totalPremium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
},
"components": [
{
"id": "<string>",
"premium": {
"amountPreFeesAndTaxes": 123,
"fees": [
{
"id": "<string>",
"amount": 123,
"brokerageFirmId": "<string>"
}
],
"totalFees": 123,
"amountWithFeesPreTaxes": 123,
"taxes": [
{
"id": "<string>",
"amount": 123
}
],
"totalTaxes": 123,
"amountWithFeesAndTaxes": 123
}
}
],
"basePrice": 123
},
"selectedTier": {},
"stop": {
"reason": "<string>",
"details": [
{
"key": "<string>",
"value": "<string>"
}
],
"createdAt": "<string>"
},
"brokerageFees": [
{
"brokerageFirmId": "<string>",
"fee": 50
}
],
"billingAssignment": {
"configId": "<string>",
"defaultPayerId": "<string>",
"componentOverrides": [
{
"componentId": "<string>",
"payerCustomerId": "<string>"
}
]
}
},
"numberOfUnpaidInvoices": 123,
"unpaidDurationInDay": 123,
"oldestUnpaidInvoiceIssuedAt": "<string>",
"lastFormalNoticeSentAt": "<string>"
}
],
"pageInfo": {
"first": true,
"last": true
},
"totalCount": 123,
"currentPage": 123,
"totalPages": 123
}billing
Get a brokerage firm's accounting summary
GET
/
brokerage-firms
/
{brokerageFirmId}
/
accounting-summary
Get a brokerage firm's accounting summary
Authorizations
oauth2bearerAuth
Machine-to-machine clients use the OAuth 2.0 client credentials grant. Each tenant has its own authorization server: in the token URL below, replace tenant with your tenant identifier.
Headers
Your tenant identifier. Requests without it are rejected.
Path Parameters
Pattern:
^brokerage_firm(_test)?_[346789ABCDEFGHJKLMNPQRTUVWXYabcdefghijkmnpqrtwxyz]{21}$Query Parameters
the number of items to return
the page to retrieve
Product ids
Full text search
the sort options
Show child attributes
Show child attributes
Statuses to filter by
Available options:
POLICY_CREATED, POLICY_QUOTED, POLICY_CONFIRMED, POLICY_SIGNED, POLICY_STARTED, POLICY_STOPPED, POLICY_SUSPENDED Termination reasons to filter by
Filter by whether a formal notice has been sent
Filter policies by unpaid duration in days (greater than or equal)
Response
200 - application/json
Was this page helpful?
⌘I

